首页
学习
活动
专区
圈层
工具
发布
社区首页 >问答首页 >无法通过密码访问远程服务器

无法通过密码访问远程服务器
EN

Unix & Linux用户
提问于 2012-08-24 06:26:06
回答 2查看 1.8K关注 0票数 4

我已经在Fedora 17 Linux终端上成功地将VPNed发送到了我的大学服务器。

代码语言:javascript
复制
$ sudo openconnect -u UNIVERSITY_USERNAMEID sslvpn.nameofuniversity.edu
[sudo] password for PCUSERNAME: 
Attempting to connect to xxx.xxx.xxx.xxx:xxx
SSL negotiation with sslvpn.nameofuniversity.edu
Connected to HTTPS on sslvpn.nameofuniversity.edu
GET https://sslvpn.nameofuniversity.edu/
Got HTTP response: HTTP/1.0 302 Object Moved
SSL negotiation with sslvpn.nameofuniversity.edu
Connected to HTTPS on sslvpn.nameofuniversity.edu
GET https://sslvpn.nameofuniversity.edu/+webvpn+/index.html
Please enter your username and password.
Password:
POST https://sslvpn.nameofuniversity.edu/+webvpn+/index.html
Got CONNECT response: HTTP/1.1 200 OK
CSTP connected. DPD 30, Keepalive 0
Connected tun0 as xxx.xx.xx.xx, using SSL

在此之后,我打开了一个新的终端,并执行了一个ssh命令,该命令通常在我在校园时工作。我在终端上得到以下输出:

代码语言:javascript
复制
# ssh -vvv -Y UNIVERSITY_USERNAMEID@server
OpenSSH_5.9p1, OpenSSL 1.0.0j-fips 10 May 2012
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: /etc/ssh/ssh_config line 50: Applying options for *
debug2: ssh_connect: needpriv 0
debug1: Connecting to server [xxx.xxx.xx.xx] port 22.
debug1: Connection established.
debug1: permanently_set_uid: 0/0
debug1: identity file /root/.ssh/id_rsa type -1
debug1: identity file /root/.ssh/id_rsa-cert type -1
debug1: identity file /root/.ssh/id_dsa type -1
debug1: identity file /root/.ssh/id_dsa-cert type -1
ssh_exchange_identification: Connection closed by remote host

没有效果,我在文件/etc/hosts.allow中附加了以下内容

代码语言:javascript
复制
SSHD: ALL
SSHD: .nameofuniversity.edu : all
SSHD: ipaddress : all

这里有什么问题吗?

EN

回答 2

Unix & Linux用户

发布于 2012-08-24 07:10:54

其中两种可能性是:

  1. 您试图将ssh插入的主机只允许来自特定IP地址的连接(例如,大学的一个或多个VLAN上的地址)。他们可能没有将其配置为识别VPN地址为“本地”地址。
  2. 主机被配置为允许来自某些地址的基于密码的auth,但需要来自所有其他地址的ssh密钥。如果是这样的话,创建一个公钥和私钥对,并在下次从大学中登录时将公钥插入到您的~/..ssh/authorized_ key文件中。

我已经在我工作的大学的许多机器上配置了后者(以及在我的家用机器和其他几台机器上)--这是一种方便的方式,可以允许远程ssh访问用户,而不会使主机容易受到攻击ssh端口的脚本的持续攻击。用户可以在校园内设置公钥访问,并使用它从家中(或会议或其他)连接。

票数 4
EN

Unix & Linux用户

发布于 2012-08-29 05:52:55

所以这是正式的。Linux管理员透露,自从我申请了一个学期的假期后,我的学生边界VPN访问权限就被取消了。我猜我的特权在我发布这个问题后被改变了,因为在发布之前,我能够到VPN,但只是不能SSH

票数 0
EN
页面原文内容由Unix & Linux提供。腾讯云小微IT领域专用引擎提供翻译支持
原文链接:

https://unix.stackexchange.com/questions/46224

复制
相关文章

相似问题

领券
问题归档专栏文章快讯文章归档关键词归档开发者手册归档开发者手册 Section 归档